import { useState } from 'react'
import '../css/global.css'
import BlackButton from './components/customButton'
import Animation from './components/animation.jsx';

function IntroductionPage() {
  return(
  	  <div style={{
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        height: '100vh',
        maxWidth:"100vw",
        flexDirection: 'column',
      }}>
        <div style={{position:"absolute"}}>
            <Animation src='6_Classroom.zip' animationWidth='100vw'/>
        </div>
        <div style={{position:"absolute"}}>
            <Animation src='5_M_Pie.zip' animationWidth='100vw'/>  
        </div>
        <div style={{position:"absolute"}}>
            <Animation src='4_NPC+hallway.zip' animationWidth='100vw'/>
        </div>
        <div style={{position:"absolute"}}>
            <Animation src='3_M_Patt.zip' animationWidth='100vw'/>
        </div>
        <div style={{position:"absolute"}}>
            <Animation src='2_M_Porsche.zip' animationWidth='100vw'/>
        </div>
        <div style={{position:"absolute"}}>
            <Animation src='1_NPC+pillar.zip' animationWidth='100vw'/>
        </div>
        
        <div style={{
            position: "fixed",
            top: 0,
            left: 0,
            width: "100vw",
            height: "100vh",
            background: "rgba(var(--black), 0.5)",
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
            zIndex: 1 // Ensure this is above other elements
        }}>
            <label style={{color:"rgb(var(--white))", fontWeight:"bold"}}>
                You are a new student who just <br />
                transfered to this school not long ago. <br />
                You don't know anyone yet, <br />
                but eventually you  meet...
            </label>
        </div>
  	  </div>
  )
}

export default IntroductionPage
